#include <bits/stdc++.h>

using namespace std;
typedef long long ll;
int main()
{
   ll br=0;
   string n;
   getline(cin,n);
   int a[10];
   for(int i=0;i<10;i++) a[i]=0;
   int p=n[n.size()-1]-'0';
   n.erase(n.size()-1,1);
   a[p]++;
   while(!n.empty())
   {
       int t=n[n.size()-1]-'0';
       if(a[t]>0&&t!=p){
            br++;
            a[t]--;
       }
       else {
        a[t]++;
        p=t;
       }
        n.erase(n.size()-1,1);
   }
   cout << br << '\n';
   return 0;

}